## org.eclipse.jst.jsf.context.resolver.structureddocument
Interface IMetadataContextResolver

All Superinterfaces:
  IContextResolver, IDocumentContextResolver

    public interface IMetadataContextResolver

extends IDocumentContextResolver

Resolves meta-data for a particular context This interface may sub-classed or implemented by clients

Method Summary
`java.util.List` `getPropertyValue(java.lang.String key)`

Methods inherited from interface org.eclipse.jst.jsf.context.resolver.IContextResolver
`canResolveContext`

Method Detail

### getPropertyValue

    java.util.List getPropertyValue(java.lang.String key)

  Parameters:
    `key` -
  Returns:
    a list of one or more String values associated with key for the current context location.